/****************************************************************/
/*                                                              */
/*    (C) Copyright 1991, Martin J. Schedlbauer, and            */
/*                        Technology Exchange Company           */
/*    All rights reserved.                                      */
/*                                                              */
/****************************************************************/

#define WSL_FAILURE	1
#define WSL_SUCCESS	2

#ifndef _NO_PROTO
extern int WslStoreWidget (Widget, int, unsigned int);
extern Widget WslRetrieveWidget (int, int);
extern Widget WslGetShell (Widget);
extern int WslUnregisterWidgets (unsigned int);
extern int WslDeleteWidget (int, unsigned int);
extern int WslDeleteStashedWidget (int, unsigned int);
extern int WslRetrieveName (Widget, unsigned int);
extern int WslStashWidget (Widget, int, unsigned int);
extern Widget WslRetrieveStashedWidget (int, unsigned int);
extern int WslUnregisterStashedWidgets (unsigned int);
#else
extern int WslStoreWidget ();
extern Widget WslRetrieveWidget ();
extern Widget WslGetShell ();
extern int WslUnregisterWidgets ();
extern int WslDeleteWidget ();
extern int WslDeleteStashedWidget ();
extern int WslRetrieveName ();
extern int WslStashWidget ();
extern Widget WslRetrieveStashedWidget ();
extern int WslUnregisterStashedWidgets ();
#endif
